import { ItemType } from "./definitions/adventureland";
import { Attribute, GData2, GItem, ItemName, SkillName } from "./definitions/adventureland-data";
import { ItemData } from "./definitions/adventureland-server";
export declare class Item implements ItemData, GItem {
    protected G: GData2;
    name: ItemName;
    l?: "l" | "s" | "x";
    level?: number;
    stat_type?: Attribute;
    id: ItemName;
    skin: string;
    type: ItemType;
    a: boolean | number;
    ability?: SkillName | "burn" | "freeze" | "poke" | "posion" | "restore_mp" | "secondchance" | "sugarrush" | "weave";
    acolor?: string;
    action?: string;
    g: number;
    constructor(data: ItemData | ItemData, g: GData2);
    calculateMinimumCost(): number;
    isLocked(): boolean;
}
